Subject: bug#44666: closed (Re: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 20 Jan 2021 15:41:02 +0000

Your bug report

#43389: 28.0.50; malloc-info: Emacs became not responsive, using hard disk all time

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43389: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43389
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time
From: Stefan Monnier <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 20 Jan 2021 10:40:31 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

>> Eli, do you think it should go to `emacs-27`?
> Definitely, thanks.

OK, done.

Trevor: I marked this bug as closed under the assumption that this
problem is solved, but of course, if it re-occurs feel free to re-open
(ideally while running under GDB in a similar setup, so we get a clear
backtrace again ;-)

        Stefan

Subject: 28.0.50; malloc-info: Emacs became not responsive, using hard disk all time
From: Jean Louis <[email-masked]>
To: [email-masked]
Date: Sun, 15 Nov 2020 17:55:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Since I wish to find out what is making Emacs slow sometimes, I am
running it with this shell script:

emacs-debug.sh:

#!/bin/bash
## CDPATH I have to unset as otherwise eshell and shell do not work well
unset CDPATH
date >> /home/data1/protected/tmp/emacs-debug
emacs >> /home/data1/protected/tmp/emacs-debug 2>&1

Then if there is non-responsive problem I can do M-x malloc-info

This time computer became totally not responsive:

- using IceWM (rarely happens, almost by rule with EXWM)

- I have not invoked any special function, just small list processing
  where it had 6 elements in total. The non-responsiveness was not
  caused by this function. That is how I say by feeling.

- then I think, by feeling, swapping started or already started during
  my work.

- hardly hardly and with a lot of patience I could invoke M-x
  malloc-info

Fri Nov 13 08:40:17 EAT 2020
Fri Nov 13 19:41:22 EAT 2020
Fri Nov 13 21:51:07 EAT 2020
Fri Nov 13 23:28:16 EAT 2020
Fri Nov 13 23:28:49 EAT 2020
Fri Nov 13 23:41:47 EAT 2020
Fri Nov 13 23:42:35 EAT 2020
Fri Nov 13 23:43:32 EAT 2020
Sat Nov 14 00:22:09 EAT 2020
Sat Nov 14 00:26:32 EAT 2020
Sat Nov 14 11:47:26 EAT 2020
Sat Nov 14 11:59:16 EAT 2020
Sun Nov 15 12:38:28 EAT 2020
<malloc version="1">
<heap nr="0">
<sizes>
							        <size from="49" to="49" total="49" count="1"/>
  <unsorted from="257" to="257" total="257" count="1"/>
</sizes>
<total type="fast" count="0" size="0"/>
<total type="rest" count="2" size="306"/>
<system type="current" size="11470942208"/>
<system type="max" size="11470942208"/>
<aspace type="total" size="11470942208"/>
<aspace type="mprotect" size="11470942208"/>
</heap>
<heap nr="1">
<sizes>
							        <size from="33" to="48" total="48" count="1"/>
							        <size from="65" to="80" total="80" count="1"/>
</sizes>
<total type="fast" count="2" size="128"/>
<total type="rest" count="0" size="0"/>
<system type="current" size="135168"/>
<system type="max" size="135168"/>
<aspace type="total" size="135168"/>
<aspace type="mprotect" size="135168"/>
</heap>
<heap nr="2">
<sizes>
							        <size from="33" to="48" total="48" count="1"/>
							        <size from="65" to="80" total="80" count="1"/>
</sizes>
<total type="fast" count="2" size="128"/>
<total type="rest" count="0" size="0"/>
<system type="current" size="135168"/>
<system type="max" size="135168"/>
<aspace type="total" size="135168"/>
<aspace type="mprotect" size="135168"/>
</heap>
<heap nr="3">
<sizes>
							        <size from="33" to="48" total="48" count="1"/>
							        <size from="65" to="80" total="80" count="1"/>
							        <size from="33" to="33" total="33" count="1"/>
</sizes>
<total type="fast" count="2" size="128"/>
<total type="rest" count="1" size="33"/>
<system type="current" size="135168"/>
<system type="max" size="135168"/>
<aspace type="total" size="135168"/>
<aspace type="mprotect" size="135168"/>
</heap>
<heap nr="4">
<sizes>
							        <size from="33" to="48" total="48" count="1"/>
							        <size from="65" to="80" total="80" count="1"/>
</sizes>
<total type="fast" count="2" size="128"/>
<total type="rest" count="0" size="0"/>
<system type="current" size="135168"/>
<system type="max" size="135168"/>
<aspace type="total" size="135168"/>
<aspace type="mprotect" size="135168"/>
</heap>
<heap nr="5">
<sizes>
							        <size from="33" to="48" total="48" count="1"/>
							        <size from="65" to="80" total="80" count="1"/>
  <unsorted from="2449" to="2449" total="2449" count="1"/>
</sizes>
<total type="fast" count="2" size="128"/>
<total type="rest" count="1" size="2449"/>
<system type="current" size="135168"/>
<system type="max" size="135168"/>
<aspace type="total" size="135168"/>
<aspace type="mprotect" size="135168"/>
</heap>
<heap nr="6">
<sizes>
							        <size from="33" to="48" total="48" count="1"/>
							        <size from="65" to="80" total="80" count="1"/>
</sizes>
<total type="fast" count="2" size="128"/>
<total type="rest" count="0" size="0"/>
<system type="current" size="135168"/>
<system type="max" size="135168"/>
<aspace type="total" size="135168"/>
<aspace type="mprotect" size="135168"/>
</heap>
<heap nr="7">
<sizes>
							        <size from="17" to="32" total="864" count="27"/>
							        <size from="33" to="48" total="384" count="8"/>
							        <size from="65" to="80" total="160" count="2"/>
							        <size from="97" to="112" total="336" count="3"/>
</sizes>
<total type="fast" count="40" size="1744"/>
<total type="rest" count="0" size="0"/>
<system type="current" size="139264"/>
<system type="max" size="139264"/>
<aspace type="total" size="139264"/>
<aspace type="mprotect" size="139264"/>
</heap>
<heap nr="8">
<sizes>
							        <size from="17" to="32" total="832" count="26"/>
							        <size from="33" to="48" total="240" count="5"/>
							        <size from="65" to="80" total="160" count="2"/>
							        <size from="97" to="112" total="112" count="1"/>
							        <size from="113" to="128" total="128" count="1"/>
							        <size from="49" to="49" total="49" count="1"/>
							        <size from="65" to="65" total="65" count="1"/>
							        <size from="145" to="145" total="145" count="1"/>
							        <size from="193" to="193" total="193" count="1"/>
							        <size from="449" to="449" total="449" count="1"/>
  <unsorted from="2961" to="2961" total="2961" count="1"/>
</sizes>
<total type="fast" count="35" size="1472"/>
<total type="rest" count="6" size="3862"/>
<system type="current" size="139264"/>
<system type="max" size="139264"/>
<aspace type="total" size="139264"/>
<aspace type="mprotect" size="139264"/>
</heap>
<heap nr="9">
<sizes>
</sizes>
<total type="fast" count="0" size="0"/>
<total type="rest" count="0" size="0"/>
<system type="current" size="135168"/>
<system type="max" size="135168"/>
<aspace type="total" size="135168"/>
<aspace type="mprotect" size="135168"/>
</heap>
<total type="fast" count="87" size="3984"/>
<total type="rest" count="10" size="6650"/>
<total type="mmap" count="2" size="5341184"/>
<system type="current" size="11472166912"/>
<system type="max" size="11472166912"/>
<aspace type="total" size="11472166912"/>
<aspace type="mprotect" size="11472166912"/>
</malloc>

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)
 of 2020-11-14 built on protected.rcdrun.com
Repository revision: 31f94e4b1c3dc201646ec436d3e2c477f784ed21
Repository branch: master
System Description: Hyperbola GNU/Linux-libre

Configured using:
 'configure --prefix=/package/text/emacs-2020-11-14 --with-modules
 --with-x-toolkit=lucid'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS JSON PDUMPER
LCMS2

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  gpm-mouse-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort hashcash mail-extr emacsbug message rmc puny dired
dired-loaddefs rfc822 mml easymenu mml-sec epa derived epg epg-config
gnus-util rmail rmail-loaddefs auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json map text-property-search
time-date subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils t-mouse term/linux disp-table tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 52575 6366)
 (symbols 48 7259 1)
 (strings 32 18937 1368)
 (string-bytes 1 616804)
 (vectors 16 8986)
 (vector-slots 8 116851 8619)
 (floats 8 22 260)
 (intervals 56 196 0)
 (buffers 992 11))

-- 
Thanks,
Jean Louis
⎔ λ 🄯 𝍄 𝌡 𝌚